## libomp-jonathonl 1.0.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(omp)

set(CMAKE_CXX_STANDARD 11)

find_package(Threads)

include_directories(include)

add_library(omp src/omp.cpp include/omp.hpp)

add_executable(omp-test main.cpp)
target_link_libraries(omp-test omp ${CMAKE_THREAD_LIBS_INIT})

install(FILES include/omp.hpp DESTINATION include)
install(TARGETS omp
        LIBRARY DESTINATION lib
        ARCHIVE DESTINATION lib)

=== debian/changelog ===
libomp-jonathonl (1.0.0-1) unstable; urgency=medium

  * Upstream has tagged release 1.0.0

 -- Andreas Tille <tille@debian.org>  Sun, 30 Oct 2022 20:18:37 +0100

libomp-jonathonl (0.0+git20211216.5228495-1) unstable; urgency=medium

  * Initial release (Closes: #1022888)

 -- Andreas Tille <tille@debian.org>  Thu, 27 Oct 2022 13:58:46 +0200

=== debian/control ===
Source: libomp-jonathonl
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/med-team/omp
Vcs-Git: https://salsa.debian.org/med-team/omp.git
Homepage: https://github.com/jonathonl/omp
Rules-Requires-Root: no

Package: libomp-jonathonl-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: parallel programming library
 Omp is a simple parallel programming library that mimics OpenMP
 syntax.

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/jonathonl/omp/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

#opts="mode=git,pgpmode=none,pretty=0.0+git%cd.%h" \
#    https://github.com/jonathonl/omp heads/develop debian
